/*
 
  ͻ                   
   OpenSource Library                    
  ͼ                   
   Author : Vitaly Checkryzhev             
   E-Mail : virty1k@mail.ru                
   WWW    : http://www.str.ru/~virty       
   WWW    : http://virtualsoft.narod.ru    
                                           
  VIRtUal Soft         All rights reserved 
 
  
*/

#include <stdlib.h>
#include <stdio.h>
#include <fcntl.h>
#include <iostream.h>
#include <math.h>

float
  g_L,				// g / L
  Theta0,			// Initial Theta
  A,				// Amplitude
  delta,			// Phase shift
  w,				// Omega
  T,				// Period
  t,
  step;

int main ()
{
 char *output = new char[255];
 cin >> output;
 cin >> g_L;
 cin >> Theta0;
 cin >> delta;
 cin >> t;
 do
   {
    cin >> step;
   }
 while (step > t);		// Prevent wrong step

 delta /= M_PI / 180;
 w = sqrtf (g_L);
 A = Theta0 / cos (delta);

 T = 2 * M_PI * sqrtf (1 / g_L);
 cout << "Period: " << T << "\n";

 FILE *f;
 f = fopen (output, "w");

 float c = 0;
 while (c <= t)
   {
    fprintf (f, "%f %f\n", c, A * cos (w * c + delta));
    c += step;
   }
 fclose (f);

 delete output;
 return 0;
}
